Subject: Re: [IPsec] IKEv2 Diffie-Hellman Elliptic curve mess (RFC4753, RFC5114, RFC4869, and draft-solinas-rfc4753bis-01)

From: "Jerome A. Solinas" <[email-masked]>
Date: Thu, 18 Feb 2010 09:59:14 -0500

Tero Kivinen wrote:
> Jerome A. Solinas writes:
>   
>> We would recommend keeping the same numbers (19, 20, 21) since it 
>> appears that all existing implementations have made the correction.
>>     
>
> Not true.
>   

So at least a couple of vendors are still doing the x-and-y 
implementation. Nevertheless, the IANA numbers 19, 20, and 21 have 
referred for years to the x-only implementation as decribed in the RFC 
4753 Errata. It appears that those who have been following the standard 
correctly do not want their IANA numbers changed, and that is 
reasonable. So we would like to leave RFC 4753-bis the way it is.

-- j